## libvma 9.8.31

=== tests/gtest/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/gtest/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





VPATH = /tmp/libvma-9.8.31/tests/gtest
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libvma
pkgincludedir = $(includedir)/libvma
pkglibdir = $(libdir)/libvma
pkglibexecdir = $(libexecdir)/libvma
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = gtest$(EXEEXT)
subdir = tests/gtest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 \
	$(top_srcdir)/config/m4/dpcp.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
LTLIBRARIES = $(noinst_LTLIBRARIES)
libgtest_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libgtest_la_OBJECTS = googletest/src/libgtest_la-gtest-all.lo \
	googletest/src/libgtest_la-gtest_main.lo
libgtest_la_OBJECTS = $(am_libgtest_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libgtest_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libgtest_la_CXXFLAGS) \
	$(CXXFLAGS) $(libgtest_la_LDFLAGS) $(LDFLAGS) -o $@
am_gtest_OBJECTS = gtest-main.$(OBJEXT) common/gtest-sys.$(OBJEXT) \
	common/gtest-base.$(OBJEXT) sock/gtest-sock_base.$(OBJEXT) \
	sock/gtest-sock_socket.$(OBJEXT) mix/gtest-mix_base.$(OBJEXT) \
	mix/gtest-sg_array.$(OBJEXT) mix/gtest-mix_list.$(OBJEXT) \
	tcp/gtest-tcp_base.$(OBJEXT) tcp/gtest-tcp_socket.$(OBJEXT) \
	tcp/gtest-tcp_bind.$(OBJEXT) tcp/gtest-tcp_connect.$(OBJEXT) \
	tcp/gtest-tcp_connect_nb.$(OBJEXT) \
	tcp/gtest-tcp_event.$(OBJEXT) tcp/gtest-tcp_send.$(OBJEXT) \
	tcp/gtest-tcp_sendto.$(OBJEXT) \
	tcp/gtest-tcp_sendfile.$(OBJEXT) \
	tcp/gtest-tcp_send_zc.$(OBJEXT) tcp/gtest-tcp_tls.$(OBJEXT) \
	udp/gtest-udp_base.$(OBJEXT) udp/gtest-udp_bind.$(OBJEXT) \
	udp/gtest-udp_connect.$(OBJEXT) udp/gtest-udp_send.$(OBJEXT) \
	udp/gtest-udp_sendto.$(OBJEXT) vma/gtest-vma_base.$(OBJEXT) \
	vma/gtest-vma_ring.$(OBJEXT) vma/gtest-vma_poll.$(OBJEXT) \
	vma/gtest-vma_sockopt.$(OBJEXT) \
	vma/gtest-vma_recvfrom_zcopy.$(OBJEXT) \
	vmad/gtest-vmad_base.$(OBJEXT) \
	vmad/gtest-vmad_bitmap.$(OBJEXT) \
	vmad/gtest-vmad_hash.$(OBJEXT) vmad/gtest-vmad_init.$(OBJEXT) \
	vmad/gtest-vmad_state.$(OBJEXT) vmad/gtest-vmad_flow.$(OBJEXT)
nodist_gtest_OBJECTS = gtest-hash.$(OBJEXT)
gtest_OBJECTS = $(am_gtest_OBJECTS) $(nodist_gtest_OBJECTS)
am__DEPENDENCIES_1 =
gtest_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(gtest_CXXFLAGS) \
	$(CXXFLAGS) $(gtest_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/gtest-hash.Po \
	./$(DEPDIR)/gtest-main.Po common/$(DEPDIR)/gtest-base.Po \
	common/$(DEPDIR)/gtest-sys.Po \
	googletest/src/$(DEPDIR)/libgtest_la-gtest-all.Plo \
	googletest/src/$(DEPDIR)/libgtest_la-gtest_main.Plo \
	mix/$(DEPDIR)/gtest-mix_base.Po \
	mix/$(DEPDIR)/gtest-mix_list.Po \
	mix/$(DEPDIR)/gtest-sg_array.Po \
	sock/$(DEPDIR)/gtest-sock_base.Po \
	sock/$(DEPDIR)/gtest-sock_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_base.Po \
	tcp/$(DEPDIR)/gtest-tcp_bind.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_event.Po \
	tcp/$(DEPDIR)/gtest-tcp_send.Po \
	tcp/$(DEPDIR)/gtest-tcp_send_zc.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendfile.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendto.Po \
	tcp/$(DEPDIR)/gtest-tcp_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_tls.Po udp/$(DEPDIR)/gtest-udp_base.Po \
	udp/$(DEPDIR)/gtest-udp_bind.Po \
	udp/$(DEPDIR)/gtest-udp_connect.Po \
	udp/$(DEPDIR)/gtest-udp_send.Po \
	udp/$(DEPDIR)/gtest-udp_sendto.Po \
	vma/$(DEPDIR)/gtest-vma_base.Po \
	vma/$(DEPDIR)/gtest-vma_poll.Po \
	vma/$(DEPDIR)/gtest-vma_recvfrom_zcopy.Po \
	vma/$(DEPDIR)/gtest-vma_ring.Po \
	vma/$(DEPDIR)/gtest-vma_sockopt.Po \
	vmad/$(DEPDIR)/gtest-vmad_base.Po \
	vmad/$(DEPDIR)/gtest-vmad_bitmap.Po \
	vmad/$(DEPDIR)/gtest-vmad_flow.Po \
	vmad/$(DEPDIR)/gtest-vmad_hash.Po \
	vmad/$(DEPDIR)/gtest-vmad_init.Po \
	vmad/$(DEPDIR)/gtest-vmad_state.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES) \
	$(nodist_gtest_SOURCES)
DIST_SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 10 Jul 2023
BUILD_DATE_CHANGELOG = Mon, 10 Jul 2023 14:42:20 +0300
BUILD_TIME = 14:42:20
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -D_GNU_SOURCE -fPIC  -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object  -g -O3 -DNDEBUG -fvisibility=hidden
CPP = gcc -E
CPPFLAGS =  -I/usr/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -std=c++11 -D_GNU_SOURCE -fPIC  -Wshadow -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object -Wno-overloaded-virtual  -g -O3 -DNDEBUG -fvisibility=hidden
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DPCP_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/lib64
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBIBPROF_LIBS =

=== tests/timetest/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/timetest/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



VPATH = /tmp/libvma-9.8.31/tests/timetest
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libvma
pkgincludedir = $(includedir)/libvma
pkglibdir = $(libdir)/libvma
pkglibexecdir = $(libexecdir)/libvma
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = timetest$(EXEEXT)
subdir = tests/timetest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 \
	$(top_srcdir)/config/m4/dpcp.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_timetest_OBJECTS = timetest.$(OBJEXT)
timetest_OBJECTS = $(am_timetest_OBJECTS)
timetest_DEPENDENCIES = $(top_builddir)/src/utils/libutils.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/timetest.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(timetest_SOURCES)
DIST_SOURCES = $(timetest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 10 Jul 2023
BUILD_DATE_CHANGELOG = Mon, 10 Jul 2023 14:42:20 +0300
BUILD_TIME = 14:42:20
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -D_GNU_SOURCE -fPIC  -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object  -g -O3 -DNDEBUG -fvisibility=hidden
CPP = gcc -E
CPPFLAGS =  -I/usr/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -std=c++11 -D_GNU_SOURCE -fPIC  -Wshadow -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object -Wno-overloaded-virtual  -g -O3 -DNDEBUG -fvisibility=hidden
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DPCP_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/lib64
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBIBPROF_LIBS = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3 
LIBNL3_LIBS = -lnl-route-3 -lnl-3 
LIBNLX_DEVEL = libnl3-devel
LIBNL_CFLAGS = -I/usr/include/libnl3 
LIBNL_LIBS = -lnl-route-3 -lnl-3 
LIBOBJS = 
LIBS = -lpthread -lrt -ldl -lstdc++ 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libvma
PACKAGE_BUGREPORT = support@mellanox.com
PACKAGE_NAME = libvma
PACKAGE_STRING = libvma 9.8.31
PACKAGE_TARNAME = libvma
PACKAGE_URL = 
PACKAGE_VERSION = 9.8.31
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PRJ_LIBRARY_MAJOR = 9
PRJ_LIBRARY_MINOR = 8
PRJ_LIBRARY_RELEASE = 1
PRJ_LIBRARY_REVISION = 31
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STATS_PROTOCOL_VER = cebac2c54a667a74ebba9fad44cc8803
STRIP = strip
VERBS_LIBS =  -libverbs -lrdmacm -lmlx5
VERSION = 9.8.31
YACC = bison -y
YFLAGS = 
abs_builddir = /tmp/libvma-9.8.31/pkg/tests/timetest
abs_srcdir = /tmp/libvma-9.8.31/tests/timetest
abs_top_builddir = /tmp/libvma-9.8.31/pkg
abs_top_srcdir = /tmp/libvma-9.8.31
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_pkg_config = yes
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/libvma-9.8.31/config/aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = /tmp/libvma-9.8.31/tests/timetest
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = /tmp/libvma-9.8.31
AM_CPPFLAGS := -I$(top_builddir)/src
timetest_LDADD = -lrt $(top_builddir)/src/utils/libutils.la
timetest_SOURCES = timetest.cpp
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/timetest/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/timetest/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

=== tools/daemon/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tools/daemon/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




VPATH = /tmp/libvma-9.8.31/tools/daemon
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libvma
pkgincludedir = $(includedir)/libvma
pkglibdir = $(libdir)/libvma
pkglibexecdir = $(libexecdir)/libvma
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
sbin_PROGRAMS = vmad$(EXEEXT)
subdir = tools/daemon
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 \
	$(top_srcdir)/config/m4/dpcp.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_vmad_OBJECTS = vmad-daemon.$(OBJEXT) vmad-loop.$(OBJEXT) \
	vmad-hash.$(OBJEXT) vmad-store.$(OBJEXT) vmad-flow.$(OBJEXT) \
	vmad-message.$(OBJEXT) vmad-notify.$(OBJEXT) vmad-nl.$(OBJEXT) \
	vmad-tc.$(OBJEXT)
vmad_OBJECTS = $(am_vmad_OBJECTS)
vmad_DEPENDENCIES =
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
vmad_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(vmad_CFLAGS) $(CFLAGS) \
	$(vmad_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/vmad-daemon.Po \
	./$(DEPDIR)/vmad-flow.Po ./$(DEPDIR)/vmad-hash.Po \
	./$(DEPDIR)/vmad-loop.Po ./$(DEPDIR)/vmad-message.Po \
	./$(DEPDIR)/vmad-nl.Po ./$(DEPDIR)/vmad-notify.Po \
	./$(DEPDIR)/vmad-store.Po ./$(DEPDIR)/vmad-tc.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(vmad_SOURCES)
DIST_SOURCES = $(vmad_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 10 Jul 2023
BUILD_DATE_CHANGELOG = Mon, 10 Jul 2023 14:42:20 +0300
BUILD_TIME = 14:42:20
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -D_GNU_SOURCE -fPIC  -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object  -g -O3 -DNDEBUG -fvisibility=hidden
CPP = gcc -E
CPPFLAGS =  -I/usr/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -std=c++11 -D_GNU_SOURCE -fPIC  -Wshadow -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object -Wno-overloaded-virtual  -g -O3 -DNDEBUG -fvisibility=hidden
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DPCP_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/lib64
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBIBPROF_LIBS = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3 
LIBNL3_LIBS = -lnl-route-3 -lnl-3 
LIBNLX_DEVEL = libnl3-devel
LIBNL_CFLAGS = -I/usr/include/libnl3 
LIBNL_LIBS = -lnl-route-3 -lnl-3 
LIBOBJS = 
LIBS = -lpthread -lrt -ldl -lstdc++ 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /tmp/libvma-9.8.31/config/aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libvma
PACKAGE_BUGREPORT = support@mellanox.com
PACKAGE_NAME = libvma
PACKAGE_STRING = libvma 9.8.31
PACKAGE_TARNAME = libvma
PACKAGE_URL = 
PACKAGE_VERSION = 9.8.31
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PRJ_LIBRARY_MAJOR = 9
PRJ_LIBRARY_MINOR = 8
PRJ_LIBRARY_RELEASE = 1
PRJ_LIBRARY_REVISION = 31
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STATS_PROTOCOL_VER = cebac2c54a667a74ebba9fad44cc8803
STRIP = strip
VERBS_LIBS =  -libverbs -lrdmacm -lmlx5
VERSION = 9.8.31
YACC = bison -y
YFLAGS = 
abs_builddir = /tmp/libvma-9.8.31/pkg/tools/daemon
abs_srcdir = /tmp/libvma-9.8.31/tools/daemon
abs_top_builddir = /tmp/libvma-9.8.31/pkg
abs_top_srcdir = /tmp/libvma-9.8.31
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_pkg_config = yes
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/libvma-9.8.31/config/aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = /tmp/libvma-9.8.31/tools/daemon
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = /tmp/libvma-9.8.31
vmad_LDADD = 
vmad_CPPFLAGS = \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/vma

vmad_LDFLAGS = 
vmad_CFLAGS = 
vmad_SOURCES = \
	daemon.c \
	loop.c \
	hash.c \
	store.c \
	flow.c \
	message.c \
	notify.c \
	nl.c \
	tc.c

noinst_HEADERS = \
	daemon.h \
	hash.h \
	bitmap.h \
	nl.h \
	tc.h

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/daemon/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tools/daemon/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \

## libvma 8.8.1.really.8.7.7

=== debian/changelog ===
libvma (8.8.1.really.8.7.7-1) unstable; urgency=medium

  * New upstream release (later in the tree than 8.8.1)
  * Refresh patches
  * Use kgkde_symbolshelper for symbols files
  * Limit architecture support

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 07 Feb 2019 18:23:10 +0200

libvma (8.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #911245)

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 28 Jan 2019 16:51:43 +0100

=== debian/control ===
Source: libvma
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 11),
 pkg-config,
 autoconf,
 automake,
 pkg-kde-tools,
 libibverbs-dev,
 librdmacm-dev,
 libnl-route-3-dev,
 libcap-dev,
 systemd,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/libvma.git
Vcs-Browser: https://salsa.debian.org/hpc-team/libvma
Homepage: https://github.com/Mellanox/libvma

Package: libvma
Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, libvma8, libvma-dev
Description: LD_PRELOAD-able library that boosts performance
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.

Package: libvma8
Section: libs
Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LD_PRELOAD-able library that boosts performance - shared library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package includes the dynamic library itself.

Package: libvma-dev
Section: libdevel
Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
Depends: ${misc:Depends}, libvma8 (= ${binary:Version})
Description: Development files for the libvma library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package includes headers for building programs with libvma's interface
 directly, as opposed to loading it dynamically with LD_PRELOAD.

Package: libvma-utils
Section: utils
Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Examples and tools for the libvma library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package contains the tool vma_stats for collecting and
 analyzing Libvma statistic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

date_time = $(shell date -u -r src/ +'%Y-%m-%d %H:%M:%S')
export date = $(word 1,$(date_time))
export time = $(word 2,$(date_time))

BUILD_DIR = debian/build_dir
BUILD_OPT = --builddirectory=$(BUILD_DIR)

%:
	dh $@ --with-autoreconf,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure $(BUILD_OPT)

override_dh_auto_build:
	dh_auto_build $(BUILD_OPT)

override_dh_auto_install:
	dh_auto_install $(BUILD_OPT)
	rm -rf debian/tmp/usr/share/doc

override_dh_auto_clean:
	rm -rf $(BUILD_DIR)

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit -o --init-script=vma -plibvma

override_dh_installchangelogs:
	dh_installchangelogs journal.txt

# Workaround for missing dependency information in libmongoclient package
#override_dh_shlibdeps:
#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## libvma 9.2.2

=== debian/changelog ===
libvma (9.2.2-1) unstable; urgency=medium

  * New upstream release:
    - init_allow_nonroot_status.patch, init_fix_root_test.patch,
      init_force_reload.patch, init_local_fs.patch, systemd_dir.patch
      dropped: merged upstream
    - Upstream init script dropped (uses systemd unit).
  * Rename libvma8 to libvma9 (Closes: #934384)
  * Removed arch i386: no longer supported by Upstream
  * Compat level 13
  * Standards-Version: 4.5.1
  * Remove leftover init.d symlinks on purge
  * systemd_doc.patch: Documentation for systemd unit

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 02 Feb 2021 14:50:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  pkg-config,
  autoconf,
  automake,
@@ -13,15 +13,15 @@
  libnl-route-3-dev,
  libcap-dev,
  systemd,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/libvma.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/libvma
 Homepage: https://github.com/Mellanox/libvma
 
 Package: libvma
-Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libvma8, libvma-dev
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvma9, libvma-dev
 Description: LD_PRELOAD-able library that boosts performance
  libvma is a LD_PRELOAD-able library that boosts performance of TCP and
  UDP traffic. It allows application written over standard socket API to
@@ -33,9 +33,9 @@
  libvma is supported by RDMA capable devices that support "verbs"
  IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 
-Package: libvma8
+Package: libvma9
 Section: libs
-Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: LD_PRELOAD-able library that boosts performance - shared library
  libvma is a LD_PRELOAD-able library that boosts performance of TCP and
@@ -52,8 +52,8 @@
 
 Package: libvma-dev
 Section: libdevel
-Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
-Depends: ${misc:Depends}, libvma8 (= ${binary:Version})
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
+Depends: ${misc:Depends}, libvma9 (= ${binary:Version})
 Description: Development files for the libvma library
  libvma is a LD_PRELOAD-able library that boosts performance of TCP and
  UDP traffic. It allows application written over standard socket API to
@@ -70,7 +70,7 @@
 
 Package: libvma-utils
 Section: utils
-Architecture: any-amd64 any-i386 any-arm64 any-ppc64el any-ppc64
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Examples and tools for the libvma library
  libvma is a LD_PRELOAD-able library that boosts performance of TCP and

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 BUILD_OPT = --builddirectory=$(BUILD_DIR)
 
 %:
-	dh $@ --with-autoreconf,pkgkde_symbolshelper
+	dh $@ --with autoreconf,pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure $(BUILD_OPT)
@@ -23,15 +23,11 @@
 override_dh_auto_install:
 	dh_auto_install $(BUILD_OPT)
 	rm -rf debian/tmp/usr/share/doc
+	mkdir -p debian/tmp/lib
+	mv debian/tmp/usr/lib/systemd debian/tmp/lib/
 
 override_dh_auto_clean:
 	rm -rf $(BUILD_DIR)
-
-override_dh_install:
-	dh_install --fail-missing
-
-override_dh_installinit:
-	dh_installinit -o --init-script=vma -plibvma
 
 override_dh_installchangelogs:
 	dh_installchangelogs journal.txt
